openSUSE Security Update : ansible (openSUSE-2019-1125)

critical Nessus Plugin ID 123669
New! Plugin Severity Now Using CVSS v3

The calculated severity for Plugins has been updated to use CVSS v3 by default. Plugins that do not have a CVSS v3 score will fall back to CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for ansible to version 2.7.8 fixes the following issues :

Security issues fixed: 	

- CVE-2018-16837: Fixed an information leak in user module (bsc#1112959).

- CVE-2018-16859: Fixed an issue which clould allow logging of password in plaintext in Windows powerShell (bsc#1116587).

- CVE-2019-3828: Fixed a path traversal vulnerability in fetch module (bsc#1126503).

- CVE-2018-10875: Fixed a potential code execution in ansible.cfg (bsc#1099808).

- CVE-2018-16876: Fixed an issue which could allow information disclosure in vvv+ mode with no_log on (bsc#1118896).

Other issues addressed :

- prepare update to 2.7.8 for multiple releases (boo#1102126, boo#1109957)

Release notes:
https://github.com/ansible/ansible/blob/stable-2.7/changelogs/CHANGELO G-v2.7.rst#id1

Solution

Update the affected ansible package.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1099808

https://bugzilla.opensuse.org/show_bug.cgi?id=1102126

https://bugzilla.opensuse.org/show_bug.cgi?id=1109957

https://bugzilla.opensuse.org/show_bug.cgi?id=1112959

https://bugzilla.opensuse.org/show_bug.cgi?id=1116587

https://bugzilla.opensuse.org/show_bug.cgi?id=1118896

https://bugzilla.opensuse.org/show_bug.cgi?id=1126503

http://www.nessus.org/u?38ee3bd6

Plugin Details

Severity: Critical

ID: 123669

File Name: openSUSE-2019-1125.nasl

Version: 1.5

Type: local

Agent: unix

Published: 4/3/2019

Updated: 1/19/2021

Dependencies: ssh_get_info.nasl

Risk Information

CVSS Score Source: CVE-2018-10875

VPR

Risk Factor: Medium

Score: 5.9

CVSS v2

Risk Factor: High

Base Score: 7.5

Temporal Score: 5.5

Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: E:U/RL:OF/RC:C

CVSS v3

Risk Factor: Critical

Base Score: 9.8

Temporal Score: 8.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:ansible, cpe:/o:novell:opensuse:15.0

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list

Exploit Ease: No known exploits are available

Patch Publication Date: 4/3/2019

Vulnerability Publication Date: 7/13/2018

Reference Information

CVE: CVE-2018-10875, CVE-2018-16837, CVE-2018-16859, CVE-2018-16876, CVE-2019-3828